# DASetInterpolationType

Sets the type of interpolation that will be returned by DAGetInterpolation()

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetInterpolationType(DA da,DAInterpolationType ctype)

Collective on DA

### Input Parameter

| da | - initial distributed array
| ctype | - DA_Q1 and DA_Q0 are currently the only supported forms

Notes: you should call this on the coarser of the two DAs you pass to DAGetInterpolation()

### Keywords

distributed array, interpolation

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DA, DAInterpolationType

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html